--! \file
--
-- This file provides constants for ASCII character values.
--

m = {
        CHAR_ZERO = 0x30,
        CHAR_TWO = 0x32,
        CHAR_NINE = 0x39,
        CHAR_A = 0x41,
        CHAR_E = 0x45,
        CHAR_F = 0x46,
        CHAR_S = 0x53,
        CHAR_T = 0x54,
        CHAR_W = 0x57,
        CHAR_a = 0x61,
        CHAR_f = 0x66,
        CHAR_STAR = 0x2A,
        CHAR_COMMA = 0x2C,
        CHAR_HYPHEN = 0x2D,
        CHAR_PERIOD = 0x2E,
        CHAR_COLON = 0x3A,
        MAX_NBR_FIELDS = 13
    }

    m["CHAR_ZERO_STR"] = string.char(m.CHAR_ZERO)
    m["CHAR_TWO_STR"] = string.char(m.CHAR_TWO)
    m["CHAR_NINE_STR"] = string.char(m.CHAR_NINE)
    m["CHAR_A_STR"] = string.char(m.CHAR_A)
    m["CHAR_E_STR"] = string.char(m.CHAR_E)
    m["CHAR_F_STR"] = string.char(m.CHAR_F)
    m["CHAR_S_STR"] = string.char(m.CHAR_S)
    m["CHAR_T_STR"] = string.char(m.CHAR_T)
    m["CHAR_W_STR"] = string.char(m.CHAR_W)
    m["CHAR_a_STR"] = string.char(m.CHAR_a)
    m["CHAR_f_STR"] = string.char(m.CHAR_f)
    m["CHAR_STAR_STR"] = string.char(m.CHAR_STAR)
    m["CHAR_COMMA_STR"] = string.char(m.CHAR_COMMA)
    m["CHAR_HYPHEN_STR"] = string.char(m.CHAR_HYPHEN)
    m["CHAR_COLON_STR"] = string.char(m.CHAR_COLON)

mt = {
        __index = m,
        __newindex = function (t, n, v)
            error ("cannot change constant " .. 
                   tostring (n) .. " to " .. tostring (v), 2)
        end,
	__metatable = true
    }

return setmetatable(m, mt)
